#include "Missiles.h"

class TPers
{
public:
	TPers(HTEXTURE Body, HTEXTURE Weapon, HTEXTURE Shot);
	Update(float dt);
	Render(float X, float Y);
	SetPosition(float x, float y);
	GetPosition(float *x, float *y);
	Move(float x, float y);
	Go();
	Rotating();
	Shoting();
	Back(char Side); //откатывает последний шаг	
	TMissiles		*Missiles;
	float PosX;
	float PosY;


//private:
	
	hgeSprite *sprBody_1, *sprBody_2, *sprWeapon_1, *sprWeapon_2, *sprWeapon_3, *sprWeapon_4, *sprShot;
	HTEXTURE  texBody, texWeapon, texShot;
	
	HTEXTURE		texMissiles;
	int SpriteBodyNumber;
	int StepNumber;
	int Pushed;
	//float dt;

	float Rotation;
	float Rotation2;
	float Angle;
	float ShotTime;
	float BodyTime;
	float WalkTime;
	float Speed;
	float BackX;
	float BackY;
	float BackPosX;
	float BackPosY;


	//float MX;
	//float MY;

	bool  Shot;
	bool  Walk;
	bool  Up;
	bool  Down;
	bool  Left;
	bool  Right;
	bool  MDownLeft;

};
